	// Including libnds’ set of defines
#include <nds.h>
	// Include basic memory functions
#include <string.h>

	// Including our converted graphics
#include "woodTiles_bin.h"
#include "woodMap_bin.h"
#include "woodPal_bin.h"

int main()
{
		// Powering up the DS 2D hardware
	REG_POWERCNT = POWER_ALL_2D;
	
		// Setting up video mode
	DISPLAY_CR = MODE_0_2D | DISPLAY_BG0_ACTIVE;
	BG0_CR = BG_32x32 | BG_COLOR_256 | BG_MAP_BASE(0) | BG_TILE_BASE(1);
	
		// Setting VRAM Bank A for Background display
	VRAM_A_CR = VRAM_ENABLE | VRAM_A_MAIN_BG;
	
		// Copying the tiles to tile base 1
	memcpy((void*)BG_TILE_RAM(1), woodTiles_bin, woodTiles_bin_size);
		// Copying the map to map base 0
	memcpy((void*)BG_MAP_RAM(0), woodMap_bin, woodMap_bin_size);
		// Copying the palette to the palette area
	memcpy((void*)BG_PALETTE, woodPal_bin, woodPal_bin_size);
      
		// Infinate loop to keep the program running
	while(1);
}
